package com.iamberry.wechat.core.entity.customer;

import java.io.Serializable;
import java.util.Date;

/**
 * 客服信息
 * @author root
 */
public class CustomerInfo implements Serializable {

    private Integer customerId;

    private Integer adminId;

    private String customerNick;

    private String customerHead;

    private String customerAccess;

    private String customerPwd;

    private Integer customerState;

    private Date customerUpdateTime;

    private Date customerCreateTime;

    public Integer getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }

    public Integer getAdminId() {
        return adminId;
    }

    public void setAdminId(Integer adminId) {
        this.adminId = adminId;
    }

    public String getCustomerNick() {
        return customerNick;
    }

    public void setCustomerNick(String customerNick) {
        this.customerNick = customerNick == null ? null : customerNick.trim();
    }

    public String getCustomerHead() {
        return customerHead;
    }

    public void setCustomerHead(String customerHead) {
        this.customerHead = customerHead == null ? null : customerHead.trim();
    }

    public String getCustomerAccess() {
        return customerAccess;
    }

    public void setCustomerAccess(String customerAccess) {
        this.customerAccess = customerAccess == null ? null : customerAccess.trim();
    }

    public String getCustomerPwd() {
        return customerPwd;
    }

    public void setCustomerPwd(String customerPwd) {
        this.customerPwd = customerPwd == null ? null : customerPwd.trim();
    }

    public Integer getCustomerState() {
        return customerState;
    }

    public void setCustomerState(Integer customerState) {
        this.customerState = customerState;
    }

    public Date getCustomerUpdateTime() {
        return customerUpdateTime;
    }

    public void setCustomerUpdateTime(Date customerUpdateTime) {
        this.customerUpdateTime = customerUpdateTime;
    }

    public Date getCustomerCreateTime() {
        return customerCreateTime;
    }

    public void setCustomerCreateTime(Date customerCreateTime) {
        this.customerCreateTime = customerCreateTime;
    }
}